> For the complete documentation index, see [llms.txt](https://docs.metadium.com/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.metadium.com/en/api-reference/json-rpc.md).

# Json-RPC

Blockchain information can be read, and transactions can be sent through an RPC server without installing a node. The RPC server operates continuously unless there are maintenance or outage issues.

* Specifications for using the Metadium API are the same as the [Ethereum API](https://github.com/ethereum/execution-apis)  specs.
* Metadium implements the Json-RPC specification on a public End Node, providing a set of methods that dApps can use directly on-chain. Also[ ](https://ethereum.org/en/developers/docs/apis/json-rpc/)it provides the same Json (RFC 4627) standard data format as [Ethereum Json-RPC API](https://ethereum.org/en/developers/docs/apis/json-rpc/).

<table><thead><tr><th width="152">Network</th><th>Type</th><th>URL</th></tr></thead><tbody><tr><td>Mainnet</td><td>HTTP(HTTPS) server endpoint</td><td>https://api.metadium.com/prod</td></tr><tr><td>Mainnet</td><td>WS(WSS) server endpoint</td><td>wss://ws.metadium.com/prod</td></tr><tr><td>Testnet</td><td>HTTP(HTTPS) server endpoint</td><td>https://api.metadium.com/dev</td></tr><tr><td>Testnet</td><td>WS(WSS) server endpoint</td><td>wss://ws.metadium.com/dev</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.metadium.com/en/api-reference/json-rpc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
